package cn.iocoder.yudao.module.bpm.api.oa.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;

@Data
public class BpmOAEntryDTO {

    @Schema(description = "入职申请表单主键", example = "1")
    private Long id;

    @Schema(description = "新入职用户用户编号", example = "16315")
    @NotNull(message = "新入职用户用户编号不能为空")
    private Long entryUserId;

    @Schema(description = "新入职用户部门编号", example = "10237")
    private Long entryDeptId;

    @Schema(description = "新入职用户部门名称", example = "研发部")
    private String entryDeptName;

    @Schema(description = "新入职用户职称编号", example = "10237")
    private Long entryPostId;

    @Schema(description = "新入职用户职称名称", example = "职工")
    private String entryPostName;

    @Schema(description = "新入职用户岗位编号", example = "10237")
    private Long entryPositionId;

    @Schema(description = "新入职用户岗位名称", example = "职工")
    private String entryPositionName;

    @Schema(description = "用户昵称", requiredMode = Schema.RequiredMode.REQUIRED, example = "王五")
    @NotEmpty(message = "用户昵称不能为空")
    private String nickname;

    @Schema(description = "合同公司", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "合同公司不能为空")
    private Long contractCompany;

    @Schema(description = "合同公司名称")
    private String contractCompanyName;

    @Schema(description = "手机号码", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "手机号码不能为空")
    private String mobile;

    @Schema(description = "身份证号码")
    private String idcard;

    @Schema(description = "入职时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "入职时间不能为空")
    private LocalDate entryDate;

    @Schema(description = "面试评价", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "面试评价不能为空")
    private String interviewEvaluation;

    @Schema(description = "薪资情况", example = "27005")
    private String salary;
}
