package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.assetClaim;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 资产申领 创建 Request VO
 *
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 资产申领创建 Request VO")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class BpmOAAssetClaimCreateReqVO {

    @Schema(description = "收款人信息", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "报销总金额不能为空")
    private Long assetsTypeId;

    @Schema(description = "现金支出明细")
    private Integer num;

    @Schema(description = "单位")
    private String util;

    @Schema(description = "流程实例编号")
    private String processInstanceId;

    @Schema(description = "状态-参见 bpm_process_instance_result 枚举", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer result;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;
}
