package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.assetClaim;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.cash.Cash;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 现金支出 请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAAssetClaimRespVO extends BpmOABaseRespVO {

    @Schema(description = "收款人信息")
    private Long assetsTypeId;

    @Schema(description = "现金支出明细")
    private List<Cash> num;

    @Schema(description = "报销总金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "报销总金额不能为空")
    private BigDecimal util;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;
}
