package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplierprocurementplan.BpmOASupplierProcurementPlanItemPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplierprocurementplan.BpmOASupplierProcurementPlanItemSaveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOASupplierProcurementPlanItemDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 供应商采购计划子 Service 接口
 *
 * @author 艾楷
 */
public interface BpmOASupplierProcurementPlanItemService {

    /**
     * 创建供应商采购计划子
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOaSupplierProcurementPlanItem(@Valid BpmOASupplierProcurementPlanItemSaveReqVO createReqVO);

    /**
     * 更新供应商采购计划子
     *
     * @param updateReqVO 更新信息
     */
    void updateOaSupplierProcurementPlanItem(@Valid BpmOASupplierProcurementPlanItemSaveReqVO updateReqVO);

    /**
     * 删除供应商采购计划子
     *
     * @param id 编号
     */
    void deleteOaSupplierProcurementPlanItem(Long id);

    /**
     * 获得供应商采购计划子
     *
     * @param id 编号
     * @return 供应商采购计划子
     */
    BpmOASupplierProcurementPlanItemDO getOaSupplierProcurementPlanItem(Long id);

    /**
     * 获得供应商采购计划子分页
     *
     * @param pageReqVO 分页查询
     * @return 供应商采购计划子分页
     */
    PageResult<BpmOASupplierProcurementPlanItemDO> getOaSupplierProcurementPlanItemPage(BpmOASupplierProcurementPlanItemPageReqVO pageReqVO);

    /**
     * 根据采购计划id获取列表
     *
     * @param procurementPlanId
     * @return
     */
    List<BpmOASupplierProcurementPlanItemDO> getByProcurementPlanId(Long procurementPlanId);
}
