package cn.iocoder.yudao.module.system.dal.dataobject.attendance.factorypunchrecord;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 工厂员工打卡记录 DO
 *
 * @author 艾楷
 */
@TableName("kq_attendance_factory_punch_record")
@KeySequence("kq_attendance_factory_punch_record_seq")
// 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceFactoryPunchRecordDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 考勤用户id
     */
    private Long userId;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 设备序列号(考勤机打卡有)
     */
    private String sn;
    /**
     * 日期yyyy-MM-dd格式 (实际是哪一天)
     */
    private String actualDayTime;
    /**
     * 打卡时间
     */
    private LocalDateTime punchTime;
    /**
     * 图片
     */
    private String image;

    @TableField(exist = false)
    private String userName;

    @TableField(exist = false)
    private String deptName;

    @TableField(exist = false)
    private String factoryName;
}
